Bug 838686 - Make sure REST api supports ability to give clients with limited access a status of the server
Make sure REST api supports ability to give clients with limited access a sta...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.4
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 15:25 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:18:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-07-09 15:25:12 EDT
JON310

From working with Heiko and RHQ Pocket I recall that the status URI:

http://ec2-184-72-193-95.compute-1.amazonaws.com:7080/rest/1/status

requires the requesting user to have MANAGE_SETTINGS permission, iirc.

We should provide a URL that a user can query to make sure the server is up and running, that doesnt require any special privileges, e.g. works for a readonly user.
Comment 1 Heiko W. Rupp 2012-07-10 09:11:05 EDT
$ curl -u joe:doe123 http://localhost:7080/rest/1/status/server.json
{"value":"NORMAL"}

master fce34e6
Comment 2 Heiko W. Rupp 2013-09-01 06:18:43 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.